Affichage des résultats 1 à 5 sur 5

Discussion: GuzzleHttp

  1. #1
    Jeune membre
    Date d'inscription
    avril 2017
    Messages
    3
    Remerciements
    0
    Remercié 0 fois
    dans 0 messages

    Unhappy GuzzleHttp

    Bonjour, j'ai tenté toute la journée de résoudre ce problème, en vain..

    Version : Joomla 3.6.5 sur 1and1 en Mutualisé, PHP7

    Plugin Crowdfunding http://itprism.com/free-joomla-exten...aising-capital

    Plugin pour la template : JoomlArt Extensions Manager

    Plugin posant peut-être problème : CrowdfundingPayment - Coinbase

    Le soucis se trouve dans Configuration.php du plugin Coinbase, il fait appel à GuzzleHttp. Il est pourtant disponible dans "/libraries/Prism/libs"

    Voici comment il est appelé dans Configuration.php :

    Code PHP:
    <?php

    namespace Coinbase\Wallet;

    use 
    Coinbase\Wallet\Authentication\ApiKeyAuthentication;
    use 
    Coinbase\Wallet\Authentication\Authentication;
    use 
    Coinbase\Wallet\Authentication\OAuthAuthentication;
    use 
    Psr\Log\LoggerInterface;
    use 
    GuzzleHttp\Client as GuzzleClient;
    use 
    GuzzleHttp\ClientInterface;
    Malgré ça, je me retrouve avec l'erreur suivante :
    Cliquez sur l'image pour la voir en taille réelle 

Nom : 		GuzzleHttp.jpg 
Affichages :	14 
Taille :		15,3 Ko 
ID : 			33488

    J'ai déjà essayé de faire un
    Code:
    php5.5 composer.phar require guzzlehttp/guzzle
    Le composer.json à la racine du site est de la forme suivante:

    Code:
    {
       "require": {
          "guzzlehttp/guzzle": "^6.2"      
       }
    }
    Merci pour votre aide !

  2. #2
    Membre régulier
    Avatar de pmleconte
    Date d'inscription
    novembre 2011
    Localisation
    vexin
    Messages
    2 320
    Remerciements
    135
    Remercié 320 fois
    dans 311 messages

    Par défaut Re : GuzzleHttp

    Bonjour et bienvenue sur ce forum,

    Je ne connais pas l'extension crownfunding, mais, par acquis de conscience, je l'ai chargé, ainsi que le plugin CoinBase.

    En testant un peu et en regardant dans le code un peu partout, je ne trouve pas de fichier configuration.php (ni dans l'extension ni dans les libraires). Donc, je ne parviens pas à recréer votre erreur. Je n'ai aucune erreur en activant l'extension par un menu.

    Donc, quelle version de l'extension utilisez-vous ? j'ai vu que Crowdfunding plateform est en v2.6.4, qui date du 10 avril 2017. Le problème est-il dans un autre module ?

    A bientôt,

    Pascal
    If anything can go wrong, it will...
    If I can help, I will ..https://conseilgouz.com

  3. #3
    Jeune membre
    Date d'inscription
    avril 2017
    Messages
    3
    Remerciements
    0
    Remercié 0 fois
    dans 0 messages

    Par défaut Re : GuzzleHttp

    Bonjour et merci

    Le Configuration.php se trouve dans
    Code:
    /libraries/Prism/libs/Coinbase/Wallet
    Le module se charge bien, c'est seulement au moment de payer que ça m'affiche l'erreur.

    J'ai demandé au créateur du plugin directement sur son GitHub et il m'a répondu qu'il fallait mettre
    Code:
    jimport("Prism.libs.GuzzleHttp.init");
    au début du plugin, mais rien n'y fait..

    J'utilise la version 2.6.4 du module Crowdfunding, et la version 3.0 du plugin Coinbase.

    Merci pour votre aide

  4. #4
    Membre régulier
    Avatar de pmleconte
    Date d'inscription
    novembre 2011
    Localisation
    vexin
    Messages
    2 320
    Remerciements
    135
    Remercié 320 fois
    dans 311 messages

    Par défaut Re : GuzzleHttp

    D'après la réponse du développeur, le plugin ne fonctionne pas avec crowdfunding 2.6.4 pour l'instant.

    Mais, j'ai l'impression que cela ne va pas durer longtemps.

    Pascal
    If anything can go wrong, it will...
    If I can help, I will ..https://conseilgouz.com

  5. #5
    Jeune membre
    Date d'inscription
    avril 2017
    Messages
    3
    Remerciements
    0
    Remercié 0 fois
    dans 0 messages

    Par défaut Re : GuzzleHttp

    Yes ça a été corrigé Il suffisait d'être patient

    Maintenant, je suis en train de rechercher comment je pourrais bloquer l'état d'anciens "rewards", si quelqu'un peut m'aider

Les tags pour cette discussion

Liens sociaux

Règles de messages

  • Vous ne pouvez pas créer de nouvelles discussions
  • Vous ne pouvez pas envoyer des réponses
  • Vous ne pouvez pas envoyer des pièces jointes
  • Vous ne pouvez pas modifier vos messages
  •